%define upstream_name    Net-FTP-RetrHandle
%define upstream_version 0.2

# We can't allow tests that access the network under iurt, so remove those
# unless specified on the command line
%bcond_with net_tests

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Tied or IO::Handle-compatible interface to a file retrieved by FTP
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
%if %{with net_tests}
BuildRequires: perl(Fcntl)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Net::FTP)
%endif
BuildArch: noarch

%description
Support for skipping the beginning of the file is implemented with the FTP
'REST' command, which starts a retrieval at any point in the file. Support
for skipping the end of the file is implemented with the FTP 'ABOR'
command, which stops the transfer. With these two commands and some careful
tracking of the current file position, we're able to reliably emulate a
'seek/read' pair, and get only the parts of the file that are actually
read.

This was originally designed for use with Archive::Zip; it's reliable
enough that the table of contents and individual files can be extracted
from a remote ZIP archive without downloading the whole thing. See the
EXAMPLES manpage below.

An interface compatible with IO::Handle is provided, along with a
'tie'-based interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Remove network tests
%if !%{with net_tests}
for T in t/10remote.t t/11tie.t; do
  rm "$T"
  sed -i -e '\,^'"$T"',d' MANIFEST
done
%endif

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc NEWS META.yml TODO
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.200.0-7.mga10
+ Revision: 2204152
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.200.0-6.mga9
+ Revision: 1809922
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.200.0-5.mga8
+ Revision: 1505545
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.200.0-4.mga7
+ Revision: 1285120
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 0.200.0-3.mga7
+ Revision: 1168814
- disable network tests

* Tue Oct 03 2017 tv <tv> 0.200.0-2.mga7
+ Revision: 1165849
- rebuild with fixed rpm for missing autodeps

* Mon Sep 18 2017 guillomovitch <guillomovitch> 0.200.0-1.mga7
+ Revision: 1155244
- imported package perl-Net-FTP-RetrHandle


* Mon Sep 18 2017 cpan2dist 0.2-1mga
- initial mageia release, generated with cpan2dist
